const clock = document.querySelector(".clock");

// Generate 288 segments (5-minute intervals in a 24-hour clock)
for (let i = 0; i < 288; i++) {
  const segment = document.createElement("div");
  segment.className = "segment";
  segment.style.transform = `rotate(${(i * 360) / 288}deg)`;

  // Click to toggle active state
  segment.addEventListener("click", () => {
    segment.classList.toggle("active");
  });

  clock.appendChild(segment);
}
